#include"CStorage.h"
#include"FunctionEnum.h"
#include"DefaultFunction/LoadTexture.h"
#include"DefaultFunction/LoadSound.h"
#include"DefaultFunction/LoadLWO.h"
#include"DefaultFunction/SaveImage.h"

namespace Maid
{

CStorage::CStorage()
{

}

CStorage::~CStorage()
{
}

void CStorage::Initialize()
{

	m_Core.RegistFunction( StorageDefaultFunction::LOADTEXTURE, &LoadTexture );
	m_Core.RegistFunction( StorageDefaultFunction::LOADSOUNDSTATIC, &LoadSoundStatic );
	m_Core.RegistFunction( StorageDefaultFunction::LOADSOUNDSTREAM, &LoadSoundStream );
	m_Core.RegistFunction( StorageDefaultFunction::LOADLWO, &LoadLWO );
	m_Core.RegistFunction( StorageDefaultFunction::SAVESURFACE, &SaveImage );


	LocalInitialize();

	m_Core.Initialize();
}

void CStorage::Finalize()
{
	m_Core.Finalize();
	LocalFinalize();
}

void CStorage::LocalInitialize()
{

}

void CStorage::LocalFinalize()
{

}


}
